#############################################################################
##
#W  read.g               GAP 4 package CTBlocks                 Thomas Breuer
##
#Y  Copyright (C)  2022,   Lehrstuhl D für Mathematik,  RWTH Aachen,  Germany
##

# Read the implementation part.
ReadPackage( "ctblocks", "gap/utils.g" );

ReadPackage( "ctblocks", "gap/blocks.gi" );
ReadPackage( "ctblocks", "gap/blockobj.gi" );

ReadPackage( "ctblocks", "gap/gslp.gi" );

# Notify straight line programs,
# which are accessible via the interface of the AtlasRep package
if IsPackageMarkedForLoading( "AtlasRep", ">=2.0" ) = true then
  if not AtlasOfGroupRepresentationsNotifyData(
             Filename( DirectoriesPackageLibrary( "ctblocks", "" ),
                       "ctblockstoc.json" ) ) then
    LogPackageLoadingMessage( PACKAGE_WARNING,
        "cannot notify the data files" );
  fi;
fi;


#############################################################################
##
#E

