#############################################################################
##
#W  testauto.g           GAP 4 package CTBlocks                 Thomas Breuer
##
#Y  Copyright (C)  2022,   Lehrstuhl D für Mathematik,  RWTH Aachen,  Germany
##

LoadPackage( "ctblocks", false );
dirs:= DirectoriesPackageLibrary( "ctblocks", "tst" );
optrec:= rec( compareFunction:= "uptowhitespace" );

success:= true;
CTBlocksTest:= function( filename )
    success:= Test( Filename( dirs, filename ), optrec ) and success;
end;

# Test the manual examples but omit the 'Browse' related ones.
CTBlocksTest( "docxpl2.tst" );

# Report overall test results.
if success then
  Print( "#I  No errors detected while testing\n\n" );
  QUIT_GAP( 0 );
else
  Print( "#I  Errors detected while testing\n\n" );
  QUIT_GAP( 1 );
fi;


#############################################################################
##
#E

